> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status of a sca run

> Get status of a sca run



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/sca/status/{id}
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/sca/status/{id}:
    get:
      tags:
        - sca
      summary: Get status of a sca run
      description: Get status of a sca run
      operationId: getScaRunStatus
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: UUID of the sca job
      responses:
        '200':
          description: the status and information about the sca run job
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScaRunStatusResponse'
        '400':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetScaRunStatusResponse:
      type: object
      properties:
        status:
          type: string
          description: status of the sca job
          enum:
            - pending
            - uploaded
            - processing
            - success
            - error
        message:
          type: string
          description: message associated with the status, if any
        asset_registration_outcomes:
          type: array
          items:
            type: object
            properties:
              data_asset_resource_name:
                $ref: '#/components/schemas/StructuredDataAssetResourceName'
              error:
                type: string
                description: Error message if registration of this asset failed
            required:
              - data_asset_resource_name
      required:
        - status
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    StructuredDataAssetResourceName:
      type: object
      properties:
        source_type:
          $ref: '#/components/schemas/SourceType'
        data_source:
          type: string
        path:
          type: string
      required:
        - source_type
        - data_source
        - path
    SourceType:
      type: string
      description: >-
        The type of the source data asset, indicating its source or format
        (e.g., postgres, protobuf).
      enum:
        - postgres
        - mysql
        - mssql
        - json_schema
        - avro
        - protobuf
        - python
        - pyspark
        - typescript
        - java
        - s3
        - dataframe
        - kotlin
        - swift
        - php
        - golang
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````